server {
    listen       80;
    server_name  www.jxit.net.cn;

    location / {
        proxy_pass http://_JXCMS_ADDR/;
        index  index.html index.htm;
    }
}

server {
    listen       80;
    server_name  public.jxit.net.cn;

    location /mp4 {
        rewrite ^/(.*) http://10.10.10.32/$1;
        index  index.html index.htm;
    }

    location / {
        proxy_pass http://10.10.10.32/;
        index  index.html index.htm;
    }
}

server {
    listen       80;
    server_name  chandao.jxit.net.cn;

    location / {
        proxy_pass http://_JXCHANDAO_ADDR/;
        proxy_set_header Origin http://$proxy_host;
        proxy_set_header Referer http://$proxy_host;
        index  index.html index.htm;
    }
}

server {
    listen       80;
    server_name  discuz.jxit.net.cn;

    location / {
        proxy_pass http://_JXDISCUZ_ADDR/;
        proxy_set_header Origin http://$proxy_host;
        proxy_set_header Referer http://$proxy_host;
        index  index.html index.htm;
    }
}

server {
    listen       80;
    server_name  sea.jxit.net.cn;

    location /admin {
        proxy_pass http://_JXSEA_ADDR/manager;
        sub_filter 'manager' 'admin';
        index  index.html index.htm;
    }

    location / {
        proxy_pass http://_JXSEA_ADDR/;
        index  index.html index.htm;
    }
}
